Bug 492726 - Traceback from ppc install
Traceback from ppc install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
ppc Linux
medium Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
anaconda_trace_hash:96ccbdebec7959825...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-28 18:00 EDT by Jesse Keating
Modified: 2013-01-09 22:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 17:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (102.79 KB, text/plain)
2009-03-28 18:00 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2009-03-28 18:00:48 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.38 exception report
Traceback (most recent call first):
  File "/tmp/updates/booty/bootloaderInfo.py", line 228, in availableBootDevices
    if self.partedFlags[parted.PARTITION_BOOT]:
  File "/tmp/updates/booty/bootloaderInfo.py", line 174, in setup
    bootDevs = self.availableBootDevices(storage)
  File "/usr/lib/anaconda/bootloader.py", line 91, in bootloaderSetupChoices
    anaconda.id.bootloader.images.setup(anaconda.id.storage)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
AttributeError: BootImages instance has no attribute 'partedFlags'
Comment 1 Jesse Keating 2009-03-28 18:00:53 EDT
Created attachment 337128 [details]
Attached traceback automatically from anaconda.
Comment 2 Joel Andres Granados 2009-03-30 07:14:50 EDT
There are still some issues with partedFlags sprinkled around the code.  Rather unsure of what to do ATM.

<snip>
[joel@dhcp-lab-171 anaconda]$ git grep partedFlags
booty/bootloaderInfo.py:                if self.partedFlags[parted.PARTITION_BOOT]:
booty/ppc.py:                if dev.partedFlags[parted.PARTITION_PREP] and not dev.format.exists:
storage/devices.py:        self.partedFlags = {}
storage/devices.py:    #_partedFlags = parted.PARTITION_PREP
[joel@dhcp-lab-171 anaconda]$ 
</snip>
Comment 3 Chris Lumens 2009-03-31 17:13:22 EDT
This will be fixed in the next build of anaconda.  Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.